host-c.h File Reference
`#include <vamp/vamp.h>`
Include dependency graph for host-c.h:

Go to the source code of this file.

## Typedefs

typedef struct vhLibrary_t * | vhLibrary

## Functions

int | vhGetLibraryCount ()
| Return the number of Vamp plugin libraries discovered in the installation path. More...
const char * | vhGetLibraryName (int library)
| Return the library name (base soname) of the library with the given index, in the range 0..(vhGetLibraryCount()-1). More...
int | vhGetLibraryIndex (const char *name)
| Return the library index for the given library name, or -1 if the name is not known. More...
vhLibrary | vhLoadLibrary (int library)
| Load the library with the given index. More...
int | vhGetPluginCount (vhLibrary library)
| Return the number of Vamp plugins in the given library. More...
const VampPluginDescriptor * | vhGetPluginDescriptor (vhLibrary library, int plugin)
| Return a Vamp plugin descriptor for a plugin in a given library. More...
void | vhUnloadLibrary (vhLibrary)
| Unload a plugin library. More...

## Typedef Documentation

typedef struct vhLibrary_t* vhLibrary

Definition at line 94 of file host-c.h.

## Function Documentation

int vhGetLibraryCount | ( |  | ) |

Return the number of Vamp plugin libraries discovered in the installation path.

This number will remain fixed after the first call – plugins are only discovered once, the first time this function is called.

const char* vhGetLibraryName | ( | int | library | ) |

Return the library name (base soname) of the library with the given index, in the range 0..(vhGetLibraryCount()-1).

int vhGetLibraryIndex | ( | const char * | name | ) |

Return the library index for the given library name, or -1 if the name is not known.

vhLibrary vhLoadLibrary | ( | int | library | ) |

Load the library with the given index.

If the library cannot be loaded for any reason, the return value is 0; otherwise it is an opaque pointer suitable for passing to other functions in this API.

int vhGetPluginCount | ( | vhLibrary | library | ) |

Return the number of Vamp plugins in the given library.

const VampPluginDescriptor* vhGetPluginDescriptor | ( | vhLibrary | library,
|  | int | plugin
| ) |  |

Return a Vamp plugin descriptor for a plugin in a given library.

This simply calls the vampGetPluginDescriptor function in that library with the given plugin index and returns the result. See vamp/vamp.h for details about the plugin descriptor.

void vhUnloadLibrary | ( | vhLibrary |  | ) |

Unload a plugin library.

Do not do this while any of its plugins are still in use.